#include "djbio.h"
#include "djbiofd.h"

#include <nemo/unix.h>

static ssize_t read_small(int fd, void *buf, size_t len)
{
  if (djbio_flush(djbiofd_outsmall) < 0) return -1;
  return read(fd, buf, len);
}

static char inbufsmall[256];
static djbio it = DJBIO_INITREAD(read_small, 0, inbufsmall, sizeof(inbufsmall));
djbio *djbiofd_insmall = &it;
