#include <nemo/stdint.h>
#include <nemo/unixtypes.h>
#include <nemo/install.h>

#include "auto_prefix.h"

void hier(void);

void hier(void)
{
  h(auto_prefix, (uid_t)-1, (gid_t)-1, 0755);

  d(auto_prefix, "lib", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "include", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "include/nemo", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "man", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/man3", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/cat3", (uid_t)install_manuid, (gid_t)-1, 0755);

  c(auto_prefix, "lib", "libdjbio.a", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "djbio.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "djbiofd.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "commands.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "getln.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "iopause.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "openreadclose.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "readclose.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "remoteinfo.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "sgetopt.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "socket.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "strerr.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "timeoutio.h", (uid_t)-1, (gid_t)-1, 0644);

  c(auto_prefix, "man/man3", "djbio.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "djbio_copy.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "djbio_get.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "djbio_put.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "djbio_seek.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "commands.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "getln.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "getln2.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "openreadlineclose.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "openreadlistclose.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "readlineclose.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "readlistclose.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "sgetopt.3", (uid_t)install_manuid, (gid_t)-1, 0644);

  c(auto_prefix, "man/cat3", "djbio.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "djbio_copy.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "djbio_get.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "djbio_put.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "djbio_seek.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "commands.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "getln.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "getln2.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "openreadlineclose.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "openreadlistclose.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "readlineclose.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "readlistclose.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "sgetopt.0", (uid_t)install_manuid, (gid_t)-1, 0644);
}
