#include <sys/types.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <netinet/in.h>

#include <nemo/byte.h>

#include "socket.h"

#include <nemo/uint16.h>

int socket4_accept(int s, ip4_address *ip, uint16_t *port)
{
  register int fd;
  struct sockaddr_in sa;
  unsigned int dummy;

  dummy = sizeof sa;
  fd = accept(s, (struct sockaddr*)&sa, &dummy);
  if (fd < 0) return -1;
  ip4_unpack(ip, &sa.sin_addr);
  uint16_unpack_big(port, &sa.sin_port);
  return fd;
}
