#include <sys/types.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <netinet/in.h>

#include <nemo/ndelay.h>
#include <nemo/stdint.h>
#include <nemo/unix.h>

#include "socket.h"

int socket4_tcp(void)
{
  register int s;

  s = socket(AF_INET, SOCK_STREAM, 0);
  if (s < 0) return -1;
  if (ndelay_on(s) < 0) {
    close(s);
    return -1;
  }
  return s;
}
