#ifndef NEMO_REMOTEINFO_H
#define NEMO_REMOTEINFO_H

#include <nemo/stdint.h>
#include <nemo/stralloc.h>
#include <nemo/ip4.h>
#include <nemo/ip6.h>

int	remoteinfo4(stralloc *out, const ip4_address *ipremote, uint16_t portremote, const ip4_address *iplocal, uint16_t portlocal, unsigned int timeout);
int	remoteinfo6(stralloc *out, const ip6_address *ipremote, uint16_t portremote, const ip6_address *iplocal, uint16_t portlocal, unsigned int timeout);

#endif
