#include <sys/types.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <netinet/in.h>

#include <nemo/byte.h>

#include "socket.h"

#include <nemo/uint16.h>

int socket4_remote(int s, ip4_address *ip, uint16_t *port)
{
  struct sockaddr_in sa;
  unsigned int dummy;

  dummy = sizeof(sa);
  if (getpeername(s, (struct sockaddr*)&sa, &dummy) < 0) return -1;
  ip4_unpack(ip, &sa.sin_addr);
  uint16_unpack_big(port, &sa.sin_port);
  return 0;
}
