#include <nemo/stdint.h>
#include <nemo/unixtypes.h>

#include <nemo/byte.h>

#include "socket.h"

#include <nemo/uint16.h>

#include <sys/socket.h>
#include <netinet/in.h>

int socket4_send(int s, const void *buf, unsigned int len, const ip4_address *ip, uint16_t port)
{
  struct sockaddr_in sa;
  byte_zero(&sa, sizeof sa);
  sa.sin_family = AF_INET;
  uint16_pack_big(port, (char*)&sa.sin_port);
  ip4_pack(ip, &sa.sin_addr);
  return (int)sendto(s, buf, len, 0, (struct sockaddr *) &sa, sizeof sa);
}
