#include "djbio.h"
#include "djbiofd.h"
#include "strerr.h"

void strerr_warn(const char *x1, const char *x2, const char *x3, const char *x4, const char *x5, const char *x6, register struct strerr *se)
{
  strerr_sysinit();

  if (x1) djbio_puts(djbiofd_err, x1);
  if (x2) djbio_puts(djbiofd_err, x2);
  if (x3) djbio_puts(djbiofd_err, x3);
  if (x4) djbio_puts(djbiofd_err, x4);
  if (x5) djbio_puts(djbiofd_err, x5);
  if (x6) djbio_puts(djbiofd_err, x6);

  while (se) {
    if (se == &strerr_sys) {
      djbio_put(djbiofd_err, ": ", 2);
    }
    if (se->x) djbio_puts(djbiofd_err, se->x);
    if (se->y) djbio_puts(djbiofd_err, se->y);
    if (se->z) djbio_puts(djbiofd_err, se->z);
    se = se->who;
  }

  djbio_puteol(djbiofd_err);
  djbio_flush(djbiofd_err);
}
